Skip to content

Create gate

POST
/gate

Create a new gate with conditions.

object
name
required
string
>= 1 characters <= 200 characters
matchMode
string
Allowed values: ALL ANY
conditions
required
Array
>= 1 items
One of:
object
type
required
string
Allowed value: ALLOWLIST
config
required
object
addresses
required
Array<string>
>= 1 items

Created gate

object
id
required
string
name
required
string
matchMode
required
string
Allowed values: ALL ANY
conditions
required
Array<object>
object
id
required
string
type
required
string
Allowed values: ALLOWLIST TOKEN_OWNERSHIP SPECIFIC_TOKEN TOKEN_ATTRIBUTE CURRENCY_BALANCE FARCASTER_FOLLOW
position
required
integer
>= -9007199254740991 <= 9007199254740991
config
required
createdAt
required
string
updatedAt
required
string
createdAt
required
string
updatedAt
required
string

Invalid request

Unauthorized